Subject: Re: git rebase interactive: usability issue

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Jun 2008 20:32:04 -0700

Johannes Schindelin <[email-masked]> writes:

> NACK.
>
> You just broke the 'edit' command.

Really?  I thought it would be Ok for "edit" command.

The patch checks the presense of /amend and complains only if it does not
exist, while you create /amend when you respond to "edit" insn.

I was relunctant about the patch not because of "edit", but because I am
not convinced that it will _never_ make sense to be able to amend while
the sequence stops with a conflict (as the patch does not give us any way
to override this rather heavy-handed denial to continue).

I also was hoping that with enough hooks git-commit already calls, this
could have been experimented and implemented with hooks without touching C
layer at least initially, while people can convince themselves that the
approach is sane (i.e. it _never_ makes sense to do amend upon conflict).